function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var GraphqlIcon = function GraphqlIcon(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? 24 : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        viewBox: "0 0 400 400",
        xmlns: "http://www.w3.org/2000/svg"
    }), /*#__PURE__*/ React.createElement("g", {
        style: {
            fill: '#ec407a',
            strokeWidth: '6.8031',
            stroke: '#ec407a'
        }
    }, /*#__PURE__*/ React.createElement("path", {
        d: "m75.308 289.808-12.577-7.261L202.844 39.872l12.577 7.261z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M59.851 263.158h280.215v14.523H59.851z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "m205.557 352.247-140.16-80.925 7.26-12.576 140.161 80.924zm121.758-210.915-140.16-80.924 7.261-12.577 140.16 80.925z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "m72.696 141.275-7.261-12.576 140.16-80.925 7.261 12.577z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M324.731 289.808 184.62 47.133l12.577-7.261 140.112 242.675zM70.956 119.065H85.48v161.853H70.956zm243.565 0h14.523v161.853h-14.523z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "m203.088 346.104-6.343-10.987 121.902-70.383 6.343 10.985z"
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M348.29 285.645c-8.398 14.61-27.12 19.597-41.73 11.198-14.61-8.398-19.597-27.12-11.198-41.73 8.398-14.611 27.12-19.598 41.73-11.199 14.698 8.486 19.686 27.121 11.199 41.731M104.554 144.883c-8.399 14.61-27.121 19.596-41.732 11.197-14.61-8.398-19.596-27.12-11.197-41.73 8.398-14.611 27.12-19.598 41.73-11.199 14.611 8.486 19.598 27.121 11.199 41.732M51.712 285.645c-8.4-14.61-3.412-33.245 11.197-41.73 14.61-8.4 33.246-3.413 41.732 11.197 8.398 14.61 3.412 33.245-11.198 41.731-14.697 8.4-33.333 3.412-41.731-11.198m243.737-140.762c-8.399-14.61-3.412-33.246 11.198-41.732 14.61-8.398 33.245-3.412 41.73 11.198 8.4 14.61 3.413 33.245-11.197 41.731-14.61 8.4-33.332 3.412-41.731-11.197M200 371.299c-16.885 0-30.533-13.647-30.533-30.532s13.648-30.532 30.533-30.532 30.532 13.647 30.532 30.532c0 16.798-13.647 30.532-30.532 30.532m0-281.535c-16.885 0-30.533-13.648-30.533-30.532S183.115 28.699 200 28.699s30.532 13.648 30.532 30.533S216.885 89.764 200 89.764"
    })));
};
export default GraphqlIcon;
